Pokemon GO update requires new iPhone to play (for some)

Photo of Pokemon GO update requires new iPhone to play (for some)
Facebook
VKontakte
share_fav
This week the folks at Niantic announced an update to Pokemon GO, an update that might not sit well for users of elderly iPhones. This update requires that device have the ability to upgrade to iOS 11. As such, some older iPhones will not be allowed to use the app through the future. If your iPhone is not capable of … Continue reading
view Slash Gear
#pokemon
#pokemon go
#niantic
#iphone 6
#iphone 5c
#ios 11
#phones
#nintendo
#archive
#gaming
#smartphone